Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class PropertyAlias11

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject
          org.apache.ode.bpel.compiler.bom.BpelObject4WSDL
              org.apache.ode.bpel.compiler.bom.PropertyAlias
                  org.apache.ode.bpel.compiler.bom.PropertyAlias11

All Implemented Interfaces:
  java.io.Serializable, javax.wsdl.extensions.ExtensibilityElement, SourceLocation

    public class PropertyAlias11

extends PropertyAlias

A BPEL 1.1 - implementation. Basically, the only difference is that the query is in an attribute.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`PropertyAlias11(org.w3c.dom.Element el)`

Method Summary
`Expression` | `getQuery()` Get the location path query for the `OPropertyAlias` as originally specified in the WSDL.

Methods inherited from class org.apache.ode.bpel.compiler.bom.PropertyAlias
`getMessageType, getNSContext, getPart, getPropertyName`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject4WSDL
`getElementType, getRequired, getTargetNamespace, setElementType, setRequired, setTargetNamespace`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getElementType, getRequired, setElementType, setRequired`

Constructor Detail

### PropertyAlias11

    public PropertyAlias11(org.w3c.dom.Element el)

Method Detail

### getQuery

    public Expression getQuery()

  Description copied from class: `PropertyAlias`
  Get the location path query for the `OPropertyAlias` as originally specified in the WSDL.

  Overrides:
    `getQuery` in class `PropertyAlias`
  Returns:
    the query

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD